Loading...
Searching...
No Matches
cpe_update Struct Reference
CPE » CPE Dictionary

Update of product version. More...

`#include <cpe_dict.h>`

Collaboration diagram for cpe_update:
[legend]

## Public Member Functions

OSCAP_API void | cpe_update_free (struct cpe_update *update)
OSCAP_API struct cpe_update * | cpe_update_new (void)
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
OSCAP_API struct cpe_update_iterator * | cpe_version_get_updates (const struct cpe_version *item)
| cpe_version functions to get value of version
OSCAP_API const char * | cpe_update_get_value (const struct cpe_update *item)
| cpe_update functions to get updates of version
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
OSCAP_API bool | cpe_update_set_value (struct cpe_update *update, const char *new_value)
OSCAP_API bool | cpe_update_add_edition (struct cpe_update *update, struct cpe_edition *new_edition)

## Data Fields

char * | value
struct oscap_list * | editions

## Detailed Description

Update of product version.

The documentation for this struct was generated from the following files:

- cpedict_priv.c
- cpe_dict.h